Java Version 1.6.0 + SDK 1.6.0

Dieses Thema im Forum "Mac OS X Entwickler, Programmierer" wurde erstellt von supervision, 07.04.2007.

  1. supervision

    supervision Thread Starter MacUser Mitglied

    Beiträge:
    42
    Zustimmungen:
    0
    MacUser seit:
    29.04.2006
    Hey Folks,

    und zwar programmieren wir in der Universität mit oben erwähnten Versionen. Aktuell ist ja bei Apple java version "1.5.0_07".

    Gibt es ne Möglichkeit auf dem Mac manuel auf 1.6.0 zu updaten?

    Ausserdem finde ich nicht die SDK für den Mac...nimmt man die Linux resources?

    TIA,
    supervision
     
  2. Tobse23

    Tobse23 MacUser Mitglied

    Beiträge:
    309
    Zustimmungen:
    6
    MacUser seit:
    11.01.2006
    Also ich kenn mich da nicht soooo gut aus, aber ich glaube für dem Mac gibts keine SDK, also zumindest nie ne aktuelle. Die Version von Java wird immer von Apple upgedated und ist nicht immer up2date.
     
  3. bjbo

    bjbo MacUser Mitglied

    Beiträge:
    1.309
    Zustimmungen:
    82
    MacUser seit:
    20.11.2003
    Gibt es. Melde dich einfach kostenlos bei der Apple Developer Connection an. Im Java-Bereich findest Du dann eine Vor-Version von Java 6, kannst Du installieren und dann auch nutzen.

    Evtl. müsstest Du dann nur den Link auf die 6er Versuin umbiegen, Anleitungen findest Du hier im Forum.
     
  4. cynic

    cynic MacUser Mitglied

    Beiträge:
    1.452
    Zustimmungen:
    45
    MacUser seit:
    15.08.2006
    Richtig. Sun hat leider leider leider keie eigene VM für MacOS, da Apple seine eigene, angepasste anbietet.

    Ich denke mal, dass 1.6 mit Leopard zusammen erscheinen wird und vorher nicht. Wenn du also wirklich Features der 6er benötigst, musst du mit Parallels oder etwas anderem eine virtuelle Maschine einrichten und dort ein anderes System fahren.
    Wie das mit der Linux VM aussieht weiß ich nicht, bezweifle aber dass es geht.
     
  5. cynic

    cynic MacUser Mitglied

    Beiträge:
    1.452
    Zustimmungen:
    45
    MacUser seit:
    15.08.2006
    Dabei handelt es sich allerdings nicht um die finale Version, oder?
     
  6. bjbo

    bjbo MacUser Mitglied

    Beiträge:
    1.309
    Zustimmungen:
    82
    MacUser seit:
    20.11.2003
    Nein, ist noch nicht Final, aber hatte noch nie Probleme mit Pre-Final Versionen bzgl Java von Apple.

    Und laut dem Thread-Eröffner geht es um Informatik an der Uni. Da macht es kaum etwas aus, so lange es nicht in Produktivsystemen zum Einsatz kommt.
     
  7. supervision

    supervision Thread Starter MacUser Mitglied

    Beiträge:
    42
    Zustimmungen:
    0
    MacUser seit:
    29.04.2006
    Jau, ich dachte immer die kostet selbst in der einfachsten Version Geld. GUTER TIP, bjbo!

    Check das mal aus..thx!
     
  8. kahler

    kahler MacUser Mitglied

    Beiträge:
    234
    Zustimmungen:
    0
    MacUser seit:
    26.09.2005
    Ich würde mir als erstes Mal anschauen, was du für Features benötigst und ob wirklich ein Update auf die allerneuste Java VM nötig ist. Ich programmiere selbst extrem viel in Java und habe bisher noch nichtmal alle Features von Java 1.5 benötigt.
    Außerdem solltest du dir über die Benutzung einer IDE Gedanken machen. Eclipse z.B. bringt seinen eigenen Compiler mit und läuft daher auch auf einer 1.4er VM und kann dort zumindest Version 1.5 Files compilieren.
     
  9. supervision

    supervision Thread Starter MacUser Mitglied

    Beiträge:
    42
    Zustimmungen:
    0
    MacUser seit:
    29.04.2006
    Ja, das update ist nötig. Es geht nicht darum, ob wir alle features von 1.5 ausschöpfen sondern eher darum, das wir gewisse features von 1.6 benötigen, die in 1.5 nicht enthalten sind.

    Beim Versuch das Programm unter 1.5 zu starten ergab es einige häßliche exceptions, die ich nun nicht mehr habe.

    Thema Entwicklungsumgebung: Ja, auch ich bin ein Fan von Eclipse. Damit programmiere ich auch mal PHP und C++. Finde das Konzept EINER ALLUMFASSENDEN und ERWEITERBAREN IDE sehr gut. Vllt. gibt es bessere Tools für Java, doch für meine Zwecke ist Eclipse am besten, da wir (Uni) unterschiedliche Sprachen programmieren, meist leider nur recht oberflächlich.

    Gruß
     
Die Seite wird geladen...
Ähnliche Themen - Java Version SDK
  1. msdd79
    Antworten:
    5
    Aufrufe:
    271
    msdd79
    14.09.2016
  2. bencze
    Antworten:
    9
    Aufrufe:
    350
    bencze
    20.08.2015
  3. krisse
    Antworten:
    4
    Aufrufe:
    14.693
    IKWIL
    04.12.2014
  4. WolfgangK
    Antworten:
    3
    Aufrufe:
    563
    _ebm_
    24.10.2011
  5. dolly
    Antworten:
    10
    Aufrufe:
    4.046
    _ebm_
    03.11.2009